Skip to main content
GET
/
customers
/
{customerId}
/
virtual-accounts
List customer virtual accounts
curl --request GET \
  --url https://api.conduit.financial/v2/customers/{customerId}/virtual-accounts \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "asset": {
        "code": "USD",
        "chain": "ethereum"
      },
      "balances": [
        {
          "available": {
            "code": "USD",
            "amount": "1000.00"
          },
          "pending": {
            "code": "USD",
            "amount": "0.00"
          },
          "frozen": {
            "code": "USD",
            "amount": "0.00"
          }
        }
      ],
      "depositInstructions": [
        {
          "type": "domestic_usd",
          "accountNumber": "<string>",
          "beneficiaryName": "<string>",
          "rails": [
            {
              "rail": "ach",
              "routingNumber": "<string>",
              "sameDayEligible": true,
              "networks": [],
              "fednowCap": "<string>"
            }
          ],
          "beneficiaryAddress": "<string>",
          "bank": {
            "legalName": "<string>",
            "address": "<string>",
            "bic": "<string>"
          },
          "paymentReference": "<string>"
        }
      ],
      "activatedAt": "2026-01-15T09:30:00.000Z",
      "createdAt": "2026-01-15T09:30:00.000Z",
      "updatedAt": "2026-01-15T09:30:00.000Z"
    }
  ],
  "meta": {
    "mode": "cursor",
    "nextCursor": "eyJpZCI6ImN1c18yeFBxTjhSIn0",
    "previousCursor": null,
    "total": 42
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

customerId
string
required

Query Parameters

cursor
string

Opaque cursor from a previous response to fetch the next page

limit
number
default:20

Maximum number of results to return (1-100)

Required range: 1 <= x <= 100
direction
enum<string>

Pagination direction relative to the cursor

Available options:
forward,
backward
asset
string

Filter to virtual accounts denominated in this asset code (e.g. USD). Case-insensitive.

Response

data
object[]
required
meta
object
required